Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 626244 - dev-util/ragel-7.0.0.9: configure: error: check colm: expected version 0.13.0.4, but 0.13.0.5 is installed
Summary: dev-util/ragel-7.0.0.9: configure: error: check colm: expected version 0.13.0...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Luca Barbato
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-26 10:24 UTC by Kobboi
Modified: 2021-03-10 06:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,7.38 KB, text/x-log)
2017-07-26 10:25 UTC, Kobboi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kobboi 2017-07-26 10:24:19 UTC
(...)
checking how to run the C++ preprocessor... x86_64-pc-linux-gnu-g++ -E
checking for ld used by x86_64-pc-linux-gnu-g++... /usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking for x86_64-pc-linux-gnu-g++ option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-g++ PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-g++ static flag -static works... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-g++ supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-g++ linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether make sets $(MAKE)... (cached) yes
checking size of int... 4
checking size of long... 8
checking for ragel... /usr/bin/ragel
checking for kelbt... no
checking for colm... /usr/bin/colm
checking for /usr/bin/colm... yes
configure: error: check colm: expected version 0.13.0.4, but 0.13.0.5 is installed
Comment 1 Kobboi 2017-07-26 10:24:59 UTC
This happened after a dev-util/colm upstep:

     Wed Jul 26 11:55:57 2017 >>> dev-util/colm-0.13.0.5
Comment 2 Kobboi 2017-07-26 10:25:47 UTC
Created attachment 486878 [details]
build.log
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2017-07-26 10:33:41 UTC
commit e3d68a5c35fabf20800b5b8dd6e754db8656f081 (HEAD -> master, origin/master, origin/HEAD)
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Wed Jul 26 12:31:38 2017

    dev-util/ragel: Depend on specific version of colm (bug #626244).

    Unfortunately ragel's configure script checks for that exact version and
    even fails if a newer installed version of colm is found.

    Package-Manager: Portage-2.3.6, Repoman-2.3.3


I gonna leave this bug open in case Luca wants to fix it differently.
Comment 4 Michal Jakubowski 2017-10-03 06:59:04 UTC
For me looks fine now.
Comment 5 Denis Kaganovich 2018-11-28 10:58:27 UTC
But while:
sed -i -e 's:EXPECTED_COLM=0.13.0.5:EXPECTED_COLM=0.13.0.6:' "$S"/configure.ac

and unmasking dev-util/colm-0.13.0.6 solve both bugs: this & #638822